--
--
-- Specializations Frein for MF 3080
-- @Autor Fendt413
-- @Date 25/12/09
--
--


Frein = {};

function Frein.prerequisitesPresent(specializations)
    return true
end;

function Frein:load(xmlFile)
	self.handbrake = true;
end;

function Frein:delete()
end;

function Frein:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Frein:keyEvent(unicode, sym, modifier, isDown)
	if isDown and sym == Input.KEY_space then
		self.handbrake = not self.handbrake;
		if self.handbrake then
			playSample(self.handbrakeSoundId,1,1,0);
		end;
	end;
end;

function Frein:update(dt)
	if not self.handbrake then
		brakeTorque = 0.00001;
		self.motor.brakeForce = brakeTorque;
	else
		if not Input.isKeyPressed(Input.KEY_s) then
			brakeTorque = 50;
			self.motor.brakeForce = brakeTorque;
			acceleration = 0;
		end;
	end;	
end;

function Frein:draw()
	if self.handbrake then
		setTextBold(true);
		setTextColor(1,0,0,1);
		if Input.isKeyPressed(Input.KEY_w) then
			g_currentMission:addWarning(("Desserer le frein a main"), 0.05, 0.025+0.007);
		end;
		renderText(self.PowershiftPoxX+0.0, self.PowershiftPoxY+0.0, 0.019, string.format("Frein a main actif"));		
	end;
end;
