--
-- Specializations HelpPanel for MF 3080
-- @Autor Fendt413
-- @Date 25/12/09
--
--

HelpPanel = {};

function HelpPanel.prerequisitesPresent(specializations)
    return true
end;

function HelpPanel:load(xmlFile)
	self.HelpPanelActive = false;
end;

function HelpPanel:delete()
end;

function HelpPanel:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HelpPanel:keyEvent(unicode, sym, modifier, isDown)
	if isDown and sym == Input.KEY_0 then
		self.HelpPanelActive = not self.HelpPanelActive;
	end;
end;

function HelpPanel:update(dt)
end;

function HelpPanel:draw()
	if self.isEntered then
		g_currentMission:addExtraPrintText("Touche 0 : Info MF 3080");	
		if self.HelpPanelActive then
			renderText(0.65, 0.84, 0.025, "- Massey Ferguson 3080 - Info -");
			renderText(0.65, 0.815, 0.02, "Touche 4 : Feux droit");	
			renderText(0.65, 0.8, 0.02, "Touche 5 : 4 Feux");			
			renderText(0.65, 0.785, 0.02, "Touche 6: Feux Gauche");
			renderText(0.65, 0.77, 0.02, "Touche 7: Feux de travail");
			renderText(0.65, 0.755, 0.02, "Touche 8: Ouvrir/Fermer fentre arrire");
			renderText(0.65, 0.74, 0.02, "Touche 9: Ouvrir/Fermer le toit");
			renderText(0.65, 0.725, 0.02, "Touche KP_1 : Remonter le relevage");
			renderText(0.65, 0.71, 0.02, "Touche KP_0 : Descendre le relevage");
			renderText(0.65, 0.695, 0.02, "Touche KP_7/KP_9 : Tourner les phares");		
			renderText(0.65, 0.68, 0.02, "Touche Page_Up/Page_Down : Passer les vitesses");	
			renderText(0.65, 0.665, 0.02, "Touche Home/End : Passer les rapports");				
			renderText(0.65, 0.65, 0.02, "Touche KP_4/KP_6 : Bouger le loquet");
			renderText(0.65, 0.635, 0.02, "Touche R : Allumer/Eteindre les gyro");		
			renderText(0.65, 0.62, 0.02, "Touche Espace : Serrer/Deserrer le frein a main");					
		end;
	end;	
end;
