--
-- Specializations Loquet for MF 3080
-- @Autor Fendt413
-- @Date 25/12/09
--
--

Loquet = {};

function Loquet.prerequisitesPresent(specializations)
    return true
end;

function Loquet:load(xmlFile)
	self.Loquet = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Loquet#index")); 
	self.OK = false;
end;

function Loquet:delete()
end;

function Loquet:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Loquet:keyEvent(unicode, sym, modifier, isDown)
	if isDown and sym == Input.KEY_KP_6 then
		self.OK = true;
	end;
	if isDown and sym == Input.KEY_KP_4 then
		self.OK = false;
	end;
end;

function Loquet:update(dt)
	if self.OK then
		self.motor.minRpm = self.motor.minRpm - 50;
		setRotation(self.Loquet, 0, Utils.degToRad(25), 0);			
	else
		self.motor.minRpm = self.motor.minRpm + 50;
		setRotation(self.Loquet, 0, Utils.degToRad(-25), 0);
	end;

    if self.isEntered then
		if self.motor.minRpm < -250 then
			self.motor.minRpm = -250;
		elseif self.motor.minRpm > 200 then
			self.motor.minRpm = 200;
		end;
	end;
end;

function Loquet:draw()
end;
function Loquet:stopMotor()
    self.motor.minRpm = 200;
end;
	
function Loquet:onLeave()
    self.motor.minRpm = 200;
end;